package com.fs.app.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.app.domain.FsAppRole;
import com.fs.app.vo.FsAppRoleVO;

/**
 * APP角色Service接口
 * 
 * @author fs
 * @date 2026-02-26
 */
public interface IFsAppRoleService extends IService<FsAppRole>{
    /**
     * 查询APP角色
     * 
     * @param id APP角色主键
     * @return APP角色
     */
    FsAppRoleVO selectFsAppRoleById(Long id);

    /**
     * 查询APP角色列表
     * 
     * @param fsAppRole APP角色
     * @return APP角色集合
     */
    List<FsAppRole> selectFsAppRoleList(FsAppRole fsAppRole);

    /**
     * 新增APP角色
     * 
     * @param fsAppRole APP角色
     * @return 结果
     */
    int insertFsAppRole(FsAppRoleVO fsAppRole);

    /**
     * 修改APP角色
     * 
     * @param fsAppRole APP角色
     * @return 结果
     */
    int updateFsAppRole(FsAppRoleVO fsAppRole);

    /**
     * 批量删除APP角色
     * 
     * @param ids 需要删除的APP角色主键集合
     * @return 结果
     */
    int deleteFsAppRoleByIds(Long[] ids);

    /**
     * 删除APP角色信息
     * 
     * @param id APP角色主键
     * @return 结果
     */
    int deleteFsAppRoleById(Long id);
}
